- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_backup – NetApp Element Software Create Backups

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create backup

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
dest_hostname - |  | hostname for the backup source cluster will be set equal to hostname if not specified
dest_password - |  | password for the backup destination cluster will be set equal to password if not specified
dest_username - |  | username for the backup destination cluster will be set equal to username if not specified
dest_volume_id - / required |  | ID of the backup destination volume
format - | Choices: native ← uncompressed | Backup format to use
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
password - / required |  | Password for the specified user. aliases: pass
script - |  | the backup script to be executed
script_parameters - |  | the backup script parameters
src_volume_id - / required |  | ID of the backup source volume. aliases: volume_id
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    na_elementsw_backup:
      hostname: "{{ source_cluster_hostname }}"
      username: "{{ source_cluster_username }}"
      password: "{{ source_cluster_password }}"
      src_volume_id: 1
      dest_hostname: "{{ destination_cluster_hostname }}"
      dest_username: "{{ destination_cluster_username }}"
      dest_password: "{{ destination_cluster_password }}"
      dest_volume_id: 3
      format: native

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.